#ifndef XSURFACECOLLISIONLEAF_H
#define XSURFACECOLLISIONLEAF_H

#include "xasset.h"

class XSurfaceCollisionLeaf : public XAsset
{
public:
    explicit XSurfaceCollisionLeaf();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    quint16 mTriangleBeginIndex;
};

#endif // XSURFACECOLLISIONLEAF_H
